//=============================================================================
// DawnsEndSeqPlayer.
//
// A PlayerPawn whose only purpose is to gain access to the standard
// PlayerPawn.ConsoleCommand("set ... ") which is overridden when UTPureRC7G
// is running.  This PlayerPawn should NEVER be possessed.
//
// Version: 1.0
// $DateTime: Thu, 06/30/2005 08:43:49 am$
// Author: Dawn Knight
//
// UT Version Coded/Tested: 4.36 and compatible with UTPureRC7G.
//=============================================================================
class DawnsEndSeqPlayer extends PlayerPawn;

event FootZoneChange(ZoneInfo newFootZone)
{
}

event HeadZoneChange(ZoneInfo newHeadZone)
{
}

event PainTimer()
{
}

exec function Walk()
{
}

exec function BehindView( Bool B )
{
}

function ChangeTeam( int N )
{
}

exec function Taunt( name Sequence )
{
}

exec function CallForHelp()
{
}

exec function ThrowWeapon()
{
}

exec function Suicide()
{
}

exec function Fly()
{
}

function ServerChangeSkin( coerce string SkinName, coerce string FaceName, byte TeamNum )
{
}

function ClientReStart()
{
}

function PlayerTimeOut()
{
}

exec function Grab()
{
}

exec function Say( string Msg )
{
}

exec function RestartLevel()
{
}

function Possess()
{
}

simulated function PreBeginPlay()
{
}

simulated function PostBeginPlay()
{
	bIsPlayer = true;
	ScoringType = None;
}

exec function SwitchWeapon (byte F )
{
}

exec function NextItem()
{
}

exec function PrevItem()
{
}

exec function Fire( optional float F )
{
}

exec function AltFire( optional float F )
{
}

function TakeDamage( int Damage, Pawn instigatedBy, Vector hitlocation,
						Vector momentum, name damageType)
{
}

defaultproperties
{
     AirSpeed=400.000000
     Visibility=128
     AttitudeToPlayer=ATTITUDE_Friendly
     MenuName="Spectator"
     bHidden=False
     bCollideActors=False
     bCollideWorld=False
     bBlockActors=False
     bBlockPlayers=False
     bProjTarget=False
}
