//=============================================================================
// DawnsRocketMk3.
//
// 5 times the velocity of a Mk2 Rocket.
//
// Version: 1.0
// $DateTime: Fri, 07/08/2005 10:12:22 pm$
// Author: Dawn Knight
//
// UT Version Coded/Tested: 4.36.
//=============================================================================
class DawnsRocketMk3 extends RocketMk2;

auto state Flying
{

	simulated function Explode(vector HitLocation, vector HitNormal)
	{
		local ShockWave s;

		s = spawn(class'DawnsShockWave',,,HitLocation+ HitNormal*16);
 		s.RemoteRole = ROLE_None;

		BlowUp(HitLocation);

 		Destroy();
	}

}

defaultproperties
{
     speed=4800.000000
     LifeSpan=3.000000
     MaxSpeed=4800.000000
     bProjTarget=False
     Damage=100.000000
     MomentumTransfer=100000
}
