//=============================================================================
// DawnsRockSlide.
//
// Original Rockslide is broken!!!
//
// Version: 1.0
// $DateTime: Sat, 07/09/2005 10:24:32 am$
// Author: Dawn Knight
//
// UT Version Coded/Tested: 4.36.
//=============================================================================
class DawnsRockSlide extends RockSlide;

function MakeRock ()
{
	local vector  SpawnLoc;
	local BigRock    TempRock;

	SpawnLoc = Location - (CubeDimensions*0.5);
	SpawnLoc.X += FRand()*CubeDimensions.X;
	SpawnLoc.Y += FRand()*CubeDimensions.Y;
	SpawnLoc.Z += FRand()*CubeDimensions.Z;

	TempRock = Spawn (class 'DawnsBigRock', ,'', SpawnLoc);
	if ( TempRock != None )
	{
		TempRock.SetRotation(InitialDirection);
		TempRock.Speed = (MinInitialSpeed+
		         		(MaxInitialSpeed-MinInitialSpeed)*FRand());

		TempRock.DrawScale = (MaxScaleFactor-MinScaleFactor)*FRand()+MinScaleFactor;
		TempRock.SetCollisionSize(TempRock.CollisionRadius*TempRock.DrawScale/TempRock.Default.DrawScale,
									 TempRock.CollisionHeight*TempRock.DrawScale/TempRock.Default.DrawScale);
	}
}


state Active
{
Begin:
	MakeRock();
	NextRockTime = FRand() * (MaxBetweenTime - MinBetweenTime) + MinBetweenTime;
	TotalPassedTime += NextRockTime;
	sleep (NextRockTime);
	if ( !TimeLimit || (TotalPassedTime < TimeLength) )
		goto 'Begin'; // Fixed this line!
	Destroy();
}

